class TransactionPinResponseModel {
  double otdTranrequestid = 0.0;
  String pinCode = "";

  TransactionPinResponseModel({
    this.otdTranrequestid = 0,
    this.pinCode = "",
  });

  Map<String, dynamic> toMap() {
    return {
      'otdTranrequestid': otdTranrequestid,
      'pinCode': pinCode,
    };
  }

  factory TransactionPinResponseModel.fromMap(Map<String, dynamic> map) {
    return TransactionPinResponseModel(
      otdTranrequestid: map['otdTranrequestid'] ?? 0,
      pinCode: map['pinCode'] ?? '',
    );
  }

  @override
  String toString() {
    return 'TransactionPinResponseModel{otdTranrequestid: $otdTranrequestid, pinCode: $pinCode}';
  }
}
